websocket-sharp : WebSocketSharp.Net Namespace

# HttpListenerPrefixCollection Class

Documentation for this section has not yet been entered.

## Syntax

public class HttpListenerPrefixCollection : ICollection<string>, IEnumerable<string>

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from object.

## Public Properties

[read-only] | Count | int . Documentation for this section has not yet been entered.
[read-only] | IsReadOnly | bool . Documentation for this section has not yet been entered.
[read-only] | IsSynchronized | bool . Documentation for this section has not yet been entered.

## Public Methods

| Add (string) Documentation for this section has not yet been entered.
| Clear () Documentation for this section has not yet been entered.
| Contains (string) : bool Documentation for this section has not yet been entered.
| CopyTo (Array, int) Documentation for this section has not yet been entered.
| CopyTo (string[], int) Documentation for this section has not yet been entered.
| GetEnumerator () : IEnumerator<string> Documentation for this section has not yet been entered.
| Remove (string) : bool Documentation for this section has not yet been entered.

## Explicitly Implemented Interface Members

| IEnumerable.GetEnumerator | Documentation for this section has not yet been entered.

## Extension Methods

static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### Add Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Add (string uriPrefix)

> #### Parameters

> > uriPrefix
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Clear Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Clear ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Contains Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Contains (string uriPrefix)

> #### Parameters

> > uriPrefix
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### CopyTo Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void CopyTo (Array array, int offset)

> #### Parameters

> > array
> >   Documentation for this section has not yet been entered.
> > offset
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### CopyTo Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void CopyTo (string[] array, int offset)

> #### Parameters

> > array
> >   Documentation for this section has not yet been entered.
> > offset
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Count Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public int Count { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public IEnumerator<string> GetEnumerator ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsReadOnly Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool IsReadOnly { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### IsSynchronized Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool IsSynchronized { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Remove Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Remove (string uriPrefix)

> #### Parameters

> > uriPrefix
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### System.Collections.IEnumerable.GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> IEnumerator System.Collections.IEnumerable.GetEnumerator ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)